Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ApplicationWheelchairAdviceReportType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationWheelchairAdviceReportType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationWheelchairAdviceReportType extends Object implements Serializable
Generiek type voor RAR in een aanvraag.

Java class for ApplicationWheelchairAdviceReportType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationWheelchairAdviceReportType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApprovalNumberType"/>
             <element name="RARDocument" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DocumentListType"/>
             <element name="RequestedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="CreatedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ReceivedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="HasHomeVisit" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationWheelchairAdviceReportType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApprovalNumber()`
  Erkenningsnummer van het Rolstoel Adviesteam.
  `Instant`
  `getCreatedDate()`
  Datum van aanmaak van het rapport door het Rolstoel AdviesTeam.
  `DocumentListType`
  `getRARDocument()`
  Ingescande versie van het oorspronkelijke rapport.
  `Instant`
  `getReceivedDate()`
  Datum van ontvangst van het rapport door de verstrekker.
  `Instant`
  `getRequestedDate()`
  Datum van aanvraag voor een indicatiestelling door het Rolstoel AdviesTeam.
  `boolean`
  `isHasHomeVisit()`
  Ja/neen veld om aan te geven of er een huisbezoek heeft plaatsgevonden door het RAT.
  `void`
  `setApprovalNumber(String value)`
  Sets the value of the approvalNumber property.
  `void`
  `setCreatedDate(Instant value)`
  Sets the value of the createdDate property.
  `void`
  `setHasHomeVisit(boolean value)`
  Sets the value of the hasHomeVisit property.
  `void`
  `setRARDocument(DocumentListType value)`
  Sets the value of the rarDocument property.
  `void`
  `setReceivedDate(Instant value)`
  Sets the value of the receivedDate property.
  `void`
  `setRequestedDate(Instant value)`
  Sets the value of the requestedDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationWheelchairAdviceReportType

    public ApplicationWheelchairAdviceReportType()

- ## Method Details

  - ### getApprovalNumber

    public String getApprovalNumber()
    Erkenningsnummer van het Rolstoel Adviesteam. Dit nummer bestaat uit 8 cijfers aangevuld met 000.
    Returns:
      possible object is `String`

  - ### setApprovalNumber

    public void setApprovalNumber(String value)
    Sets the value of the approvalNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getApprovalNumber()`

  - ### getRARDocument

    public DocumentListType getRARDocument()
    Ingescande versie van het oorspronkelijke rapport.
    Returns:
      possible object is `DocumentListType`

  - ### setRARDocument

    public void setRARDocument(DocumentListType value)
    Sets the value of the rarDocument property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getRARDocument()`

  - ### getRequestedDate

    public Instant getRequestedDate()
    Datum van aanvraag voor een indicatiestelling door het Rolstoel AdviesTeam.
    Returns:
      possible object is `String`

  - ### setRequestedDate

    public void setRequestedDate(Instant value)
    Sets the value of the requestedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRequestedDate()`

  - ### getCreatedDate

    public Instant getCreatedDate()
    Datum van aanmaak van het rapport door het Rolstoel AdviesTeam.
    Returns:
      possible object is `String`

  - ### setCreatedDate

    public void setCreatedDate(Instant value)
    Sets the value of the createdDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedDate()`

  - ### getReceivedDate

    public Instant getReceivedDate()
    Datum van ontvangst van het rapport door de verstrekker.
    Returns:
      possible object is `String`

  - ### setReceivedDate

    public void setReceivedDate(Instant value)
    Sets the value of the receivedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReceivedDate()`

  - ### isHasHomeVisit

    public boolean isHasHomeVisit()
    Ja/neen veld om aan te geven of er een huisbezoek heeft plaatsgevonden door het RAT.

  - ### setHasHomeVisit

    public void setHasHomeVisit(boolean value)
    Sets the value of the hasHomeVisit property.